
Foreman - Bug #17503

Host model load causes unnecessary loads on instantiation

11/28/2016 10:49 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Host creation   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4063

  

Description

The fix for #12634 introduced a PXELoaderSuggestion mechanism that is executed as an `after_initialize` hook. This causes any

Host object instantiation to execute this suggestion mechanism, which may lead to up to 3 extra queries per host. However, this is

only needed for the host creation form to populate the PXELoader field when choosing OS.

Related issues:

Related to Foreman - Feature #12634: New HW Model flag pxe_loader in UI/API Closed 11/30/2015

Associated revisions

Revision 497c022b - 12/07/2016 02:26 AM - Tomer Brisker

Fixes #17503 - Only trigger PXELoader suggestion when needed

Previously every host instantiation triggered a PXELoader suggestion,

which led to up to 3 extra queries per host loaded. This changes so that

the suggestion is only applied when a host changes it's OS.

History

#1 - 11/28/2016 11:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/4063 added

#2 - 11/29/2016 04:41 AM - Tomer Brisker

- Related to Feature #12634: New HW Model flag pxe_loader in UI/API added

#3 - 11/29/2016 10:05 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#4 - 12/07/2016 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 497c022bf4f77819f1a9f781a762f212d82aad30.

#5 - 12/07/2016 04:58 AM - Dominic Cleal

- translation missing: en.field_release set to 209
